xAggregate | R Documentation

## Function to aggregate data respecting number of features

### Description

`xAggregate` is supposed to aggregate data respecting number of features. Per row, the aggregated is the sum of two items: the number of features, and the sum of all but scaled into [0,0.9999999]. Also supported is the rank-transformation of the input data per column, binned into the predefined number of discrete bins.

### Usage

    xAggregate(data, bin = F, nbin = 10, scale.log = T, verbose = T)

### Arguments

`data` | a data frame. The aggregation is done across columns per row. Each cell should contain positive values or NA; if infinite, it will be replaced with the maximum finite value
`bin` | logical to indicate whether the input data per column is rank-transformed into the predefined number of discrete bins. By default, it sets to false
`nbin` | the number of discrete bins. By default, it sets to 10 (only works when bin is true)
`scale.log` | logical to indicate whether the per-row sum is log-scaled. By default, it sets to true
`verbose` | logical to indicate whether the messages will be displayed in the screen. By default, it sets to true for display

### Value

a data frame with an appended column 'Aggregate'

### Note

None

### See Also

`xAggregate`

### Examples

    ## Not run:
    # Load the library
    library(XGR)

    RData.location <- "http://galahad.well.ox.ac.uk/bigdata"
    # HiC-gene pairs per cell types/states
    g <- xRDataLoader(RData.customised='ig.PCHiC',
    RData.location=RData.location)
    df <- do.call(cbind, igraph::edge_attr(g))
    # aggregate over cell types/states
    data <- df
    data[data<5] <- NA
    res <- xAggregate(data)

    ## End(Not run)